<?php
@include('./includes/config.php');
@include('./includes/funciones_php.php');
$genero = limpiar(Seguridad($_GET['genero']));
$artista = limpiar(Seguridad($_GET['artista']));
$tema = limpiar(Seguridad($_GET['mp3']));
$generar = limpiar(Seguridad($_GET['web']));
$idcancion = Seguridad($_GET['id']);
$sitio = strtoupper("$site");
if(empty($genero)){

    $buscaGenero = Query("SELECT genero FROM artistas WHERE artista='$artista' LIMIT 1");
    $genero = mysql_fetch_row($buscaGenero);
    $genero = isset($genero[0]) ? $genero[0] : '';
    $_GET['genero'] = $genero;
}
list($web,$extencion) = explode(".",$generar);
/*Modo 1 Normal(index) */
if(empty($genero) && empty($artista)&& empty($tema) && empty($idcancion)){ 
$tipo = 1;
$accion = 1;

 if($generar){

$titulex = "MUSICAS DE ".strtoupper($generar)." EN LINEA ONLINE.";
$description = "Donde escuchar la musica ".strtoupper($generar)." ".$anio." MP3 online. Aqui podras Escuchar musica ".strtoupper($generar)." sin pausa HD MP3 sin limites..";
$keywords = "".strtoupper($generar).", fulltono, música en línea, escuchar música gratis, sin anuncios, PlusMusicas, música HD, música online, canciones en HD, radio en línea, música gratis, música para escuchar, musica ".$anio."";
$enviar = "$root/".limpiar_url($generar)."/";
$title_barra="<a class=t3 href='/'>".strtoupper($sitename)."</a> » <a class=t3 href='$root/".limpiar_url($generar)."/'>".strtoupper($generar)."</a>";
$texto="<h1><a href='".$root."/".limpiar_url($generar)."/' title='Musica Online Gratis'>Musica Online De ".$generar." Gratis</a></h1>";
$texto2="<strong>Escuchar musica de ".$generar."</strong> actual online gratis, descargar musica gratis, <strong>musica ".$generar." en linea</strong>, musica en vivo, buena musica, dedica, descarga de mp3, albums - discografias completas, letras. Todo lo que necesitas para disfrutar musica y descargarla gratis! Aqui encontrarás la mas grande coleccion de musica de diversos generos";
$busprin = Query("SELECT id,artista,cancion,url,hits FROM principal ORDER BY RAND()");

}else{

$titulex = "PLUSMUSICAS: ESCUCHAR LA MEJOR MUSICA EN LINEA";

$description = "".$sitename." Si deseas Escuchar Musica Gratis, ".$sitename." Musica Online ".$anio.". Puedes Escuchar y descargar Musica EN LINEA! sin limites..";
$keywords = "música en línea, escuchar música gratis, sin anuncios, PlusMusicas, música HD, música online, canciones en HD, radio en línea, música gratis, música para escuchar, musica ".$anio."";
$enviar = "$root/";
$title_barra="<a class=t3 href='/'>".strtoupper($sitename)."</a> » <a alt='Musica ".$anio."' class=t3 href='/musica/".$anio."'>MUSICA ".$anio."</a>";
$texto="<h1><a href='".$root."/' title='Musica Online ".$anio." Gratis'>Musica Online ".$anio." Gratis</a></h1>";
$texto2="<strong>Musica Online ".$anio."</strong>, Fulltono ".$anio.", Sonicomusica, Escuchar Musica Gratis, Musica En Linea ".$anio.", Musica Online, Musica En Vivo, Buena Musica, Descargar Mp3, Discografias Completas, Letras. Todo Lo Que Necesitas Para Disfrutar Musica Online Gratis! Aqui Encontraras La Mas Grande Coleccion De Musica De Diversos Generos Musicales Gratis ".$anio.".";
$busprin = Query("SELECT id,artista,cancion,url,hits FROM principal ORDER BY id DESC LIMIT 0,$max_principal");

}

}

/*Modo 2 (genero)*/
else if(!empty($genero) && empty($artista) && empty($tema) && empty($idcancion)){
	if(Syntaxis_Login(str_replace(" ","",$genero))){
								  
if(letraValida($genero) or Queryvalido($genero,"generos","genero")){

$accion = 2;
$tipo = 2;

if(strlen($genero) <= 1){

$titulex = "Escuchar Música ".ucwords($genero)." en Línea - Musicas Online Gratis, ".$sitename."";
$description = "Si te gusta escuchar musica ".ucwords($genero)." gratis, musica ".ucwords($genero)." ".$anio.". Usted puede descargar musica ".ucwords($genero)." Gratis Mp3! sin pagar nada.";
$keywords = "".ucwords($genero)." en línea, música ".ucwords($genero)." HD, PlusMusicas ".ucwords($genero).", escuchar ".ucwords($genero)." gratis, ".ucwords($genero)." online, música de ".ucwords($genero).", artistas de ".ucwords($genero).", música ".ucwords($genero)." en línea, canciones de ".ucwords($genero).", ".ucwords($genero)." online";
$title_barra="<a class=t3 href='./'>".strtoupper($sitename)."</a> » <a class=t3 href='".Enlace_gen($genero)."'>LETRA ".strtoupper($genero)."</a>";
$texto="<h1><a href='".Enlace_gen($genero)."' title='Musica Online Gratis'>Musica Online ".ucwords($genero)." ".$anio."</a></h1>";
$texto2="<strong>Musica Online ".limpiar($genero)." ".$anio."</strong>, Fulltono ".$anio.", Sonicomusica, Escuchar musica gratis, musica en linea ".limpiar($genero)." ".$anio.", Musica Online, musica en vivo, buena musica, descargar mp3, discografias completas, letras. Todo lo que necesitas para disfrutar musica online gratis! Aqui encontraras la mas grande coleccion de musica de diversos generos Musicales gratis ".$anio."";
$enviar = "$root".Enlace_like_gen($genero)."";
$sqlMus = "SELECT id,genero,artista,cancion,url,Hits FROM `canciones`WHERE genero='".mysql_real_escape_string($genero)."' or artista LIKE '$genero%' ORDER BY Hits DESC LIMIT 0,$max_generos";

}else{

$titulex = "Escuchar Música ".ucwords($genero)." en Línea - Musicas Online Gratis, ".$sitename."";
$description = "Si te gusta escuchar musica ".ucwords($genero)." gratis, musica ".ucwords($genero)." ".$anio.". Usted puede descargar musica ".ucwords($genero)." Gratis Mp3! sin pagar nada..";
$keywords = "".ucwords($genero)." en línea, música ".ucwords($genero)." HD, PlusMusicas ".ucwords($genero).", escuchar ".ucwords($genero)." gratis, ".ucwords($genero)." online, música de ".ucwords($genero).", artistas de ".ucwords($genero).", música ".ucwords($genero)." en línea, canciones de ".ucwords($genero).", ".ucwords($genero)." online";
$title_barra="<a class=t3 href='./'>".strtoupper($sitename)."</a> » <a class=t3 href='".Enlace_gen($genero)."'>".strtoupper($genero)."</a>";
$texto="<h1><a href='".Enlace_gen($genero)."' title='Musica Online ".ucwords($genero)." ".$anio."'>Musica Online ".ucwords($genero)." ".$anio."</a></h1>";
$texto2="<strong>Musica Online ".limpiar($genero)." ".$anio."</strong>, Fulltono ".$anio.", Sonicomusica, Escuchar musica gratis, musica en linea ".limpiar($genero)." ".$anio.", Musica Online, musica en vivo, buena musica, descargar mp3, discografias completas, letras. Todo lo que necesitas para disfrutar musica online gratis! Aqui encontraras la mas grande coleccion de musica de diversos generos Musicales gratis ".$anio."";
$enviar = "$root".Enlace_like_gen($genero)."";
$sqlMus = "SELECT id,genero,artista,cancion,url,Hits FROM `canciones`WHERE genero='".mysql_real_escape_string($genero)."' ORDER BY Hits DESC LIMIT 0,$max_generos";

}
		
	   }else{
		 
		   Redireccionar("$root");
	   }
	}else{
		Redireccionar("$root");
	}
	
}


/*Modo 3 (genero y  artista )*/
else if (!empty($artista) && empty($tema) && empty($idcancion)) {
    if (Syntaxis_Login(str_replace(" ", "", $artista))) {
        if (Queryvalido($artista, "artistas", "artista")) {
$tipo = 3;
$accion = 3;

$titulex = "Escuchar Música de ".ucwords($artista)." ".$anio." - ".ucwords($genero)." Online Gratis, ".$sitename."";
$description = "Si te gusta escuchar musica de ".ucwords($artista)." gratis, musica de ".ucwords($artista)." ".$anio.". Usted puede descargar musica de ".ucwords($artista)." Down Mp3! sin pagar nada..";
$keywords = "".ucwords($artista)." música, música ".ucwords($genero)." en línea, PlusMusicas ".ucwords($genero).", escuchar ".ucwords($artista).", ".ucwords($genero)." online, música ".ucwords($genero)." gratis, artistas ".ucwords($genero).", canciones de ".ucwords($genero)."";
$title_barra="<a class=t3 href='/'>".strtoupper($sitename)."</a> » <a class=t3 href='".Enlace_gen($genero)."'>".strtoupper($genero)."</a> » <a class=t3 href='".Enlace_art($genero,$artista)."'>".strtoupper($artista)."</a>";
$texto="<h1><a href='".Enlace_like($genero,$artista)."' title='Musica ".ucwords($artista)." Online ".$anio."'>Musica ".ucwords($artista)." Online ".$anio."</a></h1>";
$texto2="Musica Online ".$anio.", <strong>".limpiar($artista)." ".$anio."</strong>, Sonicomusica, Escuchar Musica ".limpiar($artista).", Musica En Linea ".$anio.", Musica Online, Musica En Vivo, Buena Musica, Descargar Mp3, Discografias Completas, Letras. Todo Lo Que Necesitas Para Disfrutar Musica Online Gratis! Aqui Encontraras La Mas Grande Coleccion De Musica De Diversos Generos Musicales Gratis ".$anio."";
$enviar = "$root".Enlace_like($genero,$artista)."";
$sqlMus = "SELECT id,genero,artista,cancion,url,Hits FROM `canciones`WHERE artista='".mysql_real_escape_string($artista)."' and genero='".mysql_real_escape_string($genero)."' ORDER BY Hits DESC";

@mysql_query("UPDATE artistas SET Hits= Hits + 1 WHERE genero='".mysql_real_escape_string($genero)."' and artista='".mysql_real_escape_string($artista)."'");
			
	   }else{
		     Redireccionar("$root");
	   }	
	}else{
		Redireccionar("$root");
	}
}


/*Modo 4 (genero , artista , tema)*/
else if (!empty($artista) && !empty($tema) && empty($idcancion)) {
    if (Syntaxis_Login(str_replace(" ", "", $artista))) {
        if (Queryvalido($artista, "canciones", "artista") && Queryvalido($tema, "canciones", "cancion")) {
$tipo = 4;
$accion = 4;
$seleccion = true;

$titulex = "Escuchar ".ucwords($tema)." de ".ucwords($artista)." - Musicas Online Gratis, ".$sitename."";
$description = "Musicas de ".ucwords($artista)." - ".ucwords($tema)." ".$anio.". Usted puede descargar musica de ".ucwords($artista)." Down Mp3! sin pagar nada..";
$keywords = "".ucwords($tema)." ".ucwords($artista).", música ".ucwords($genero)." en línea, PlusMusicas ".ucwords($genero).", escuchar ".ucwords($tema).", ".ucwords($genero)." online, música ".ucwords($genero)." gratis, canciones de ".ucwords($genero).", artistas ".ucwords($genero)."";
$title_barra="<a class=t3 href='./'>".strtoupper($sitename)."</a> » <a class=t3 href='".Enlace_gen($genero)."'>".strtoupper($genero)."</a> » <a class=t3 href='".Enlace_art($genero,$artista)."'>".strtoupper($artista)."</a> » <a class=t3 href='".Enlace_can($genero,$artista,$tema)."'>".strtoupper($tema)."</a>";
$texto="<h1><a href='".Enlace_like($genero,$artista)."' title='Musica ".ucwords($artista)." Online ".$anio."'>Musica ".ucwords($artista)." Online ".$anio."</a></h1>";
$texto2="Musicas en linea ".$anio.", ".limpiar($artista)." ".$anio." , plusmusicas, Escuchar Musica ".limpiar($artista).", Musica En Linea ".$anio.", Musica Online, Musica En Vivo, Buena Musica, Descargar Mp3, Discografias Completas, Letras. Todo Lo Que Necesitas Para Disfrutar Musica Online Gratis! Aqui Encontraras La Mas Grande Coleccion De Musica De Diversos Generos Musicales Gratis ".$anio."";
$enviar = "$root".Enlace_like($genero,$artista)."";
$sqlMus = "SELECT DISTINCT id,genero,artista,cancion,url,Hits FROM `canciones`WHERE artista='".mysql_real_escape_string($artista)."' and cancion='".mysql_real_escape_string($tema)."' ORDER BY Hits DESC";

            $result = mysql_query($sqlMus);

            if ($result && mysql_num_rows($result) > 0) {
                // Si hay resultados, mostrar la canción
                @mysql_query("UPDATE canciones SET Hits= Hits + 1 WHERE artista ='".mysql_real_escape_string($artista)."' and cancion='".mysql_real_escape_string($tema)."' ");
                @mysql_query("UPDATE artistas SET Hits= Hits + 1 WHERE genero='".mysql_real_escape_string($genero)."' and artista='".mysql_real_escape_string($artista)."'");
                // Mostrar la canción...
            } else {
                // Si no hay resultados, redireccionar a la raíz
                Redireccionar("$root");
            }
        } else {
            Redireccionar("$root");
        }
    } else {
        Redireccionar("$root");
    }
}



/*Modo 5 (genero , artista , tema e id )*/
else if(!empty($genero) && !empty($artista) && !empty($tema) && !empty($idcancion)){
	if(Syntaxis_Login(str_replace(" ","",$genero)) && Syntaxis_Login(str_replace(" ","",$artista)) && is_numeric($idcancion)){
	   if(Queryvalido($genero,"generos","genero") &&
	   	  Queryvalido($artista,"canciones","artista") &&
		  Queryvalido($idcancion,"canciones","id") ){
$tipo = 5;
$accion = 5;
$seleccion = true;
$art_rem_tem=str_replace($artista,"",$tema);
$tem=str_replace(" - "," ",$art_rem_tem);

$titulex = "Escuchar ".ucwords($tema)." de ".ucwords($artista)." - Musicas Online Gratis, ".$sitename."";
$description = "Si te gusta escuchar musica de ".ucwords($artista)." - ".ucwords($tema)." ".$anio.". Usted puede descargar musica de ".ucwords($artista)." Down Mp3! sin pagar nada..";
$keywords = "".ucwords($tema)." ".ucwords($artista).", música ".ucwords($genero)." en línea, PlusMusicas ".ucwords($genero).", escuchar ".ucwords($tema).", ".ucwords($genero)." online, música ".ucwords($genero)." gratis, canciones de ".ucwords($genero).", artistas ".ucwords($genero)."";
$title_barra="<a class=t3 href='./'>".strtoupper($sitename)."</a> » <a class=t3 href='".limpiar_url($genero)."/'>".strtoupper($genero)."</a> » <a class=t3 href='".limpiar_url($genero)."/".limpiar_url($artista)."/'>".strtoupper($artista)."</a> » <a class=t3 href='".limpiar_url($genero)."/".limpiar_url($artista)."/".limpiar_url($tema)."/".$idcancion."/'>".strtoupper($tema)."</a>";

$enviar = "$root".limpiar_url($artista)."/".limpiar_url($genero)."/";

$sqlMus = "SELECT id,genero,artista,cancion,url,Hits FROM `canciones`WHERE id='".mysql_real_escape_string($idcancion)."' ORDER BY Hits DESC";

@mysql_query("UPDATE canciones SET Hits= Hits + 1 WHERE id='".mysql_real_escape_string($idcancion)."'");
			
	   }else{
		     Redireccionar("$root");
	   }	
	}else{
		Redireccionar("$root");
	}
}

?>